Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class EndpointDescriptionWriter.ComplexProperty

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty

Direct Known Subclasses:
  `EndpointDescriptionWriter.MultiValueProperty`, `EndpointDescriptionWriter.XmlProperty`

Enclosing class:
  EndpointDescriptionWriter

protected abstract class EndpointDescriptionWriter.ComplexProperty extends Object

## Constructor Summary

Constructors
Constructor
Description
`ComplexProperty(String name, Object value)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getName()`
`protected Object`
`getValue()`
`abstract void`
`writeProperty(int indentLevel, Writer writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComplexProperty

public ComplexProperty(String name, Object value)

## Method Details

### writeProperty

public abstract void writeProperty(int indentLevel, Writer writer) throws IOException

Throws:
  `IOException`

### getName

protected String getName()

### getValue

protected Object getValue()